<?php
$tdatacat_oficinas = array();
$tdatacat_oficinas[".searchableFields"] = array();
$tdatacat_oficinas[".ShortName"] = "cat_oficinas";
$tdatacat_oficinas[".OwnerID"] = "";
$tdatacat_oficinas[".OriginalTable"] = "cat_oficinas";


$tdatacat_oficinas[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\",\"list_movil\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatacat_oficinas[".originalPagesByType"] = $tdatacat_oficinas[".pagesByType"];
$tdatacat_oficinas[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\",\"list_movil\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatacat_oficinas[".originalPages"] = $tdatacat_oficinas[".pages"];
$tdatacat_oficinas[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatacat_oficinas[".originalDefaultPages"] = $tdatacat_oficinas[".defaultPages"];

//	field labels
$fieldLabelscat_oficinas = array();
$fieldToolTipscat_oficinas = array();
$pageTitlescat_oficinas = array();
$placeHolderscat_oficinas = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelscat_oficinas["Spanish"] = array();
	$fieldToolTipscat_oficinas["Spanish"] = array();
	$placeHolderscat_oficinas["Spanish"] = array();
	$pageTitlescat_oficinas["Spanish"] = array();
	$fieldLabelscat_oficinas["Spanish"]["id"] = "Id";
	$fieldToolTipscat_oficinas["Spanish"]["id"] = "";
	$placeHolderscat_oficinas["Spanish"]["id"] = "";
	$fieldLabelscat_oficinas["Spanish"]["dependencia"] = "Dependencia:";
	$fieldToolTipscat_oficinas["Spanish"]["dependencia"] = "";
	$placeHolderscat_oficinas["Spanish"]["dependencia"] = "";
	$fieldLabelscat_oficinas["Spanish"]["dependencia_oficina"] = "Oficina:";
	$fieldToolTipscat_oficinas["Spanish"]["dependencia_oficina"] = "";
	$placeHolderscat_oficinas["Spanish"]["dependencia_oficina"] = "";
	$fieldLabelscat_oficinas["Spanish"]["telefono1"] = "Telefono1";
	$fieldToolTipscat_oficinas["Spanish"]["telefono1"] = "";
	$placeHolderscat_oficinas["Spanish"]["telefono1"] = "";
	$fieldLabelscat_oficinas["Spanish"]["telefono2"] = "Telefono2";
	$fieldToolTipscat_oficinas["Spanish"]["telefono2"] = "";
	$placeHolderscat_oficinas["Spanish"]["telefono2"] = "";
	$fieldLabelscat_oficinas["Spanish"]["extension"] = "Ext.:";
	$fieldToolTipscat_oficinas["Spanish"]["extension"] = "";
	$placeHolderscat_oficinas["Spanish"]["extension"] = "";
	$fieldLabelscat_oficinas["Spanish"]["domicilio"] = "Domicilio";
	$fieldToolTipscat_oficinas["Spanish"]["domicilio"] = "";
	$placeHolderscat_oficinas["Spanish"]["domicilio"] = "";
	$fieldLabelscat_oficinas["Spanish"]["municipio"] = "Municipio";
	$fieldToolTipscat_oficinas["Spanish"]["municipio"] = "";
	$placeHolderscat_oficinas["Spanish"]["municipio"] = "";
	$fieldLabelscat_oficinas["Spanish"]["entidad"] = "Entidad";
	$fieldToolTipscat_oficinas["Spanish"]["entidad"] = "";
	$placeHolderscat_oficinas["Spanish"]["entidad"] = "";
	$fieldLabelscat_oficinas["Spanish"]["pais"] = "País";
	$fieldToolTipscat_oficinas["Spanish"]["pais"] = "";
	$placeHolderscat_oficinas["Spanish"]["pais"] = "";
	$fieldLabelscat_oficinas["Spanish"]["cp"] = "Cp";
	$fieldToolTipscat_oficinas["Spanish"]["cp"] = "";
	$placeHolderscat_oficinas["Spanish"]["cp"] = "";
	$fieldLabelscat_oficinas["Spanish"]["email1"] = "Email1";
	$fieldToolTipscat_oficinas["Spanish"]["email1"] = "";
	$placeHolderscat_oficinas["Spanish"]["email1"] = "";
	$fieldLabelscat_oficinas["Spanish"]["email2"] = "Email2";
	$fieldToolTipscat_oficinas["Spanish"]["email2"] = "";
	$placeHolderscat_oficinas["Spanish"]["email2"] = "";
	$fieldLabelscat_oficinas["Spanish"]["dir_mapa"] = "Dir Mapa";
	$fieldToolTipscat_oficinas["Spanish"]["dir_mapa"] = "";
	$placeHolderscat_oficinas["Spanish"]["dir_mapa"] = "";
	if (count($fieldToolTipscat_oficinas["Spanish"]))
		$tdatacat_oficinas[".isUseToolTips"] = true;
}


	$tdatacat_oficinas[".NCSearch"] = true;



$tdatacat_oficinas[".shortTableName"] = "cat_oficinas";
$tdatacat_oficinas[".nSecOptions"] = 0;

$tdatacat_oficinas[".mainTableOwnerID"] = "";
$tdatacat_oficinas[".entityType"] = 0;
$tdatacat_oficinas[".connId"] = "omega2_at_localhost";


$tdatacat_oficinas[".strOriginalTableName"] = "cat_oficinas";

	



$tdatacat_oficinas[".showAddInPopup"] = false;

$tdatacat_oficinas[".showEditInPopup"] = false;

$tdatacat_oficinas[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatacat_oficinas[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatacat_oficinas[".listAjax"] = false;
//	temporary
$tdatacat_oficinas[".listAjax"] = false;

	$tdatacat_oficinas[".audit"] = false;

	$tdatacat_oficinas[".locking"] = false;


$pages = $tdatacat_oficinas[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacat_oficinas[".edit"] = true;
	$tdatacat_oficinas[".afterEditAction"] = 0;
	$tdatacat_oficinas[".closePopupAfterEdit"] = 1;
	$tdatacat_oficinas[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacat_oficinas[".add"] = true;
$tdatacat_oficinas[".afterAddAction"] = 1;
$tdatacat_oficinas[".closePopupAfterAdd"] = 1;
$tdatacat_oficinas[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatacat_oficinas[".list"] = true;
}



$tdatacat_oficinas[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacat_oficinas[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacat_oficinas[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacat_oficinas[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacat_oficinas[".printFriendly"] = true;
}



$tdatacat_oficinas[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacat_oficinas[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacat_oficinas[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacat_oficinas[".isUseAjaxSuggest"] = true;

$tdatacat_oficinas[".rowHighlite"] = true;





$tdatacat_oficinas[".ajaxCodeSnippetAdded"] = false;

$tdatacat_oficinas[".buttonsAdded"] = false;

$tdatacat_oficinas[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacat_oficinas[".isUseTimeForSearch"] = false;


$tdatacat_oficinas[".badgeColor"] = "778899";


$tdatacat_oficinas[".allSearchFields"] = array();
$tdatacat_oficinas[".filterFields"] = array();
$tdatacat_oficinas[".requiredSearchFields"] = array();

$tdatacat_oficinas[".googleLikeFields"] = array();
$tdatacat_oficinas[".googleLikeFields"][] = "id";
$tdatacat_oficinas[".googleLikeFields"][] = "dependencia";
$tdatacat_oficinas[".googleLikeFields"][] = "dependencia_oficina";
$tdatacat_oficinas[".googleLikeFields"][] = "telefono1";
$tdatacat_oficinas[".googleLikeFields"][] = "telefono2";
$tdatacat_oficinas[".googleLikeFields"][] = "extension";
$tdatacat_oficinas[".googleLikeFields"][] = "domicilio";
$tdatacat_oficinas[".googleLikeFields"][] = "dir_mapa";
$tdatacat_oficinas[".googleLikeFields"][] = "municipio";
$tdatacat_oficinas[".googleLikeFields"][] = "entidad";
$tdatacat_oficinas[".googleLikeFields"][] = "pais";
$tdatacat_oficinas[".googleLikeFields"][] = "cp";
$tdatacat_oficinas[".googleLikeFields"][] = "email1";
$tdatacat_oficinas[".googleLikeFields"][] = "email2";



$tdatacat_oficinas[".tableType"] = "list";

$tdatacat_oficinas[".printerPageOrientation"] = 0;
$tdatacat_oficinas[".nPrinterPageScale"] = 100;

$tdatacat_oficinas[".nPrinterSplitRecords"] = 40;

$tdatacat_oficinas[".geocodingEnabled"] = false;










$tdatacat_oficinas[".pageSize"] = 20;

$tdatacat_oficinas[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatacat_oficinas[".strOrderBy"] = $tstrOrderBy;

$tdatacat_oficinas[".orderindexes"] = array();


$tdatacat_oficinas[".sqlHead"] = "SELECT id,  	dependencia,  	dependencia_oficina,  	telefono1,  	telefono2,  	extension,  	domicilio,  	dir_mapa,  	municipio,  	entidad,  	pais,  	cp,  	email1,  	email2";
$tdatacat_oficinas[".sqlFrom"] = "FROM cat_oficinas";
$tdatacat_oficinas[".sqlWhereExpr"] = "";
$tdatacat_oficinas[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacat_oficinas[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacat_oficinas[".arrGroupsPerPage"] = $arrGPP;

$tdatacat_oficinas[".highlightSearchResults"] = true;

$tableKeyscat_oficinas = array();
$tableKeyscat_oficinas[] = "id";
$tdatacat_oficinas[".Keys"] = $tableKeyscat_oficinas;


$tdatacat_oficinas[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "cat_oficinas";
	$fdata["Label"] = GetFieldLabel("cat_oficinas","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_oficinas["id"] = $fdata;
		$tdatacat_oficinas[".searchableFields"][] = "id";
//	dependencia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "dependencia";
	$fdata["GoodName"] = "dependencia";
	$fdata["ownerTable"] = "cat_oficinas";
	$fdata["Label"] = GetFieldLabel("cat_oficinas","dependencia");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "dependencia";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dependencia";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "dependencias";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "dependencia";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
	
// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_oficinas["dependencia"] = $fdata;
		$tdatacat_oficinas[".searchableFields"][] = "dependencia";
//	dependencia_oficina
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "dependencia_oficina";
	$fdata["GoodName"] = "dependencia_oficina";
	$fdata["ownerTable"] = "cat_oficinas";
	$fdata["Label"] = GetFieldLabel("cat_oficinas","dependencia_oficina");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "dependencia_oficina";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dependencia_oficina";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=150";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_oficinas["dependencia_oficina"] = $fdata;
		$tdatacat_oficinas[".searchableFields"][] = "dependencia_oficina";
//	telefono1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "telefono1";
	$fdata["GoodName"] = "telefono1";
	$fdata["ownerTable"] = "cat_oficinas";
	$fdata["Label"] = GetFieldLabel("cat_oficinas","telefono1");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "telefono1";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "telefono1";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Hyperlink");

	
		$vdata["LinkPrefix"] ="tel:";

	
	
				$vdata["hlType"] = 2;
	$vdata["hlLinkWordNameType"] = "Text";
	$vdata["hlLinkWordText"] = "Link";
	$vdata["hlTitleField"] = "telefono1";

	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=15";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_oficinas["telefono1"] = $fdata;
		$tdatacat_oficinas[".searchableFields"][] = "telefono1";
//	telefono2
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "telefono2";
	$fdata["GoodName"] = "telefono2";
	$fdata["ownerTable"] = "cat_oficinas";
	$fdata["Label"] = GetFieldLabel("cat_oficinas","telefono2");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "telefono2";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "telefono2";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Hyperlink");

	
		$vdata["LinkPrefix"] ="tel:";

	
	
				$vdata["hlType"] = 2;
	$vdata["hlLinkWordNameType"] = "Text";
	$vdata["hlLinkWordText"] = "Link";
	$vdata["hlTitleField"] = "telefono2";

	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=15";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_oficinas["telefono2"] = $fdata;
		$tdatacat_oficinas[".searchableFields"][] = "telefono2";
//	extension
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "extension";
	$fdata["GoodName"] = "extension";
	$fdata["ownerTable"] = "cat_oficinas";
	$fdata["Label"] = GetFieldLabel("cat_oficinas","extension");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "extension";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "extension";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=6";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_oficinas["extension"] = $fdata;
		$tdatacat_oficinas[".searchableFields"][] = "extension";
//	domicilio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "domicilio";
	$fdata["GoodName"] = "domicilio";
	$fdata["ownerTable"] = "cat_oficinas";
	$fdata["Label"] = GetFieldLabel("cat_oficinas","domicilio");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "domicilio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "domicilio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Custom");

	
	
	
	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_oficinas["domicilio"] = $fdata;
		$tdatacat_oficinas[".searchableFields"][] = "domicilio";
//	dir_mapa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "dir_mapa";
	$fdata["GoodName"] = "dir_mapa";
	$fdata["ownerTable"] = "cat_oficinas";
	$fdata["Label"] = GetFieldLabel("cat_oficinas","dir_mapa");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "dir_mapa";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dir_mapa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Custom");

	
	
	
	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_oficinas["dir_mapa"] = $fdata;
		$tdatacat_oficinas[".searchableFields"][] = "dir_mapa";
//	municipio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "municipio";
	$fdata["GoodName"] = "municipio";
	$fdata["ownerTable"] = "cat_oficinas";
	$fdata["Label"] = GetFieldLabel("cat_oficinas","municipio");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "municipio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "municipio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "cat_municipio";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "municipio";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "entidad", "lookup" => "entidad" );

	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_oficinas["municipio"] = $fdata;
		$tdatacat_oficinas[".searchableFields"][] = "municipio";
//	entidad
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "entidad";
	$fdata["GoodName"] = "entidad";
	$fdata["ownerTable"] = "cat_oficinas";
	$fdata["Label"] = GetFieldLabel("cat_oficinas","entidad");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "entidad";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "entidad";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "cat_entidad";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "entidad";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "pais", "lookup" => "pais" );

	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "municipio";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_oficinas["entidad"] = $fdata;
		$tdatacat_oficinas[".searchableFields"][] = "entidad";
//	pais
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "pais";
	$fdata["GoodName"] = "pais";
	$fdata["ownerTable"] = "cat_oficinas";
	$fdata["Label"] = GetFieldLabel("cat_oficinas","pais");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "pais";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pais";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "cat_paises";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "pais";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "entidad";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_oficinas["pais"] = $fdata;
		$tdatacat_oficinas[".searchableFields"][] = "pais";
//	cp
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "cp";
	$fdata["GoodName"] = "cp";
	$fdata["ownerTable"] = "cat_oficinas";
	$fdata["Label"] = GetFieldLabel("cat_oficinas","cp");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "cp";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cp";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=5";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_oficinas["cp"] = $fdata;
		$tdatacat_oficinas[".searchableFields"][] = "cp";
//	email1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "email1";
	$fdata["GoodName"] = "email1";
	$fdata["ownerTable"] = "cat_oficinas";
	$fdata["Label"] = GetFieldLabel("cat_oficinas","email1");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "email1";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "email1";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Email Hyperlink");

	
	
	
	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=120";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_oficinas["email1"] = $fdata;
		$tdatacat_oficinas[".searchableFields"][] = "email1";
//	email2
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "email2";
	$fdata["GoodName"] = "email2";
	$fdata["ownerTable"] = "cat_oficinas";
	$fdata["Label"] = GetFieldLabel("cat_oficinas","email2");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "email2";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "email2";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Email Hyperlink");

	
	
	
	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=120";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_oficinas["email2"] = $fdata;
		$tdatacat_oficinas[".searchableFields"][] = "email2";


$tables_data["cat_oficinas"]=&$tdatacat_oficinas;
$field_labels["cat_oficinas"] = &$fieldLabelscat_oficinas;
$fieldToolTips["cat_oficinas"] = &$fieldToolTipscat_oficinas;
$placeHolders["cat_oficinas"] = &$placeHolderscat_oficinas;
$page_titles["cat_oficinas"] = &$pageTitlescat_oficinas;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["cat_oficinas"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["cat_oficinas"] = array();



	
				$strOriginalDetailsTable="dependencias";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="dependencias";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "dependencias";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["cat_oficinas"][0] = $masterParams;
				$masterTablesData["cat_oficinas"][0]["masterKeys"] = array();
	$masterTablesData["cat_oficinas"][0]["masterKeys"][]="id";
				$masterTablesData["cat_oficinas"][0]["detailKeys"] = array();
	$masterTablesData["cat_oficinas"][0]["detailKeys"][]="dependencia";
		
	
				$strOriginalDetailsTable="pers_contactodep";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="pers_contactodep";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "pers_contactodep";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["cat_oficinas"][1] = $masterParams;
				$masterTablesData["cat_oficinas"][1]["masterKeys"] = array();
	$masterTablesData["cat_oficinas"][1]["masterKeys"][]="id_oficina";
				$masterTablesData["cat_oficinas"][1]["detailKeys"] = array();
	$masterTablesData["cat_oficinas"][1]["detailKeys"][]="id";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_cat_oficinas()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	dependencia,  	dependencia_oficina,  	telefono1,  	telefono2,  	extension,  	domicilio,  	dir_mapa,  	municipio,  	entidad,  	pais,  	cp,  	email1,  	email2";
$proto0["m_strFrom"] = "FROM cat_oficinas";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "cat_oficinas",
	"m_srcTableName" => "cat_oficinas"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "cat_oficinas";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "dependencia",
	"m_strTable" => "cat_oficinas",
	"m_srcTableName" => "cat_oficinas"
));

$proto8["m_sql"] = "dependencia";
$proto8["m_srcTableName"] = "cat_oficinas";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "dependencia_oficina",
	"m_strTable" => "cat_oficinas",
	"m_srcTableName" => "cat_oficinas"
));

$proto10["m_sql"] = "dependencia_oficina";
$proto10["m_srcTableName"] = "cat_oficinas";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "telefono1",
	"m_strTable" => "cat_oficinas",
	"m_srcTableName" => "cat_oficinas"
));

$proto12["m_sql"] = "telefono1";
$proto12["m_srcTableName"] = "cat_oficinas";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "telefono2",
	"m_strTable" => "cat_oficinas",
	"m_srcTableName" => "cat_oficinas"
));

$proto14["m_sql"] = "telefono2";
$proto14["m_srcTableName"] = "cat_oficinas";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "extension",
	"m_strTable" => "cat_oficinas",
	"m_srcTableName" => "cat_oficinas"
));

$proto16["m_sql"] = "extension";
$proto16["m_srcTableName"] = "cat_oficinas";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "domicilio",
	"m_strTable" => "cat_oficinas",
	"m_srcTableName" => "cat_oficinas"
));

$proto18["m_sql"] = "domicilio";
$proto18["m_srcTableName"] = "cat_oficinas";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "dir_mapa",
	"m_strTable" => "cat_oficinas",
	"m_srcTableName" => "cat_oficinas"
));

$proto20["m_sql"] = "dir_mapa";
$proto20["m_srcTableName"] = "cat_oficinas";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "municipio",
	"m_strTable" => "cat_oficinas",
	"m_srcTableName" => "cat_oficinas"
));

$proto22["m_sql"] = "municipio";
$proto22["m_srcTableName"] = "cat_oficinas";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "entidad",
	"m_strTable" => "cat_oficinas",
	"m_srcTableName" => "cat_oficinas"
));

$proto24["m_sql"] = "entidad";
$proto24["m_srcTableName"] = "cat_oficinas";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "pais",
	"m_strTable" => "cat_oficinas",
	"m_srcTableName" => "cat_oficinas"
));

$proto26["m_sql"] = "pais";
$proto26["m_srcTableName"] = "cat_oficinas";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "cp",
	"m_strTable" => "cat_oficinas",
	"m_srcTableName" => "cat_oficinas"
));

$proto28["m_sql"] = "cp";
$proto28["m_srcTableName"] = "cat_oficinas";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "email1",
	"m_strTable" => "cat_oficinas",
	"m_srcTableName" => "cat_oficinas"
));

$proto30["m_sql"] = "email1";
$proto30["m_srcTableName"] = "cat_oficinas";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "email2",
	"m_strTable" => "cat_oficinas",
	"m_srcTableName" => "cat_oficinas"
));

$proto32["m_sql"] = "email2";
$proto32["m_srcTableName"] = "cat_oficinas";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto34=array();
$proto34["m_link"] = "SQLL_MAIN";
			$proto35=array();
$proto35["m_strName"] = "cat_oficinas";
$proto35["m_srcTableName"] = "cat_oficinas";
$proto35["m_columns"] = array();
$proto35["m_columns"][] = "id";
$proto35["m_columns"][] = "dependencia";
$proto35["m_columns"][] = "dependencia_oficina";
$proto35["m_columns"][] = "telefono1";
$proto35["m_columns"][] = "telefono2";
$proto35["m_columns"][] = "extension";
$proto35["m_columns"][] = "domicilio";
$proto35["m_columns"][] = "dir_mapa";
$proto35["m_columns"][] = "municipio";
$proto35["m_columns"][] = "entidad";
$proto35["m_columns"][] = "pais";
$proto35["m_columns"][] = "cp";
$proto35["m_columns"][] = "email1";
$proto35["m_columns"][] = "email2";
$obj = new SQLTable($proto35);

$proto34["m_table"] = $obj;
$proto34["m_sql"] = "cat_oficinas";
$proto34["m_alias"] = "";
$proto34["m_srcTableName"] = "cat_oficinas";
$proto36=array();
$proto36["m_sql"] = "";
$proto36["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto36["m_column"]=$obj;
$proto36["m_contained"] = array();
$proto36["m_strCase"] = "";
$proto36["m_havingmode"] = false;
$proto36["m_inBrackets"] = false;
$proto36["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto36);

$proto34["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto34);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="cat_oficinas";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_cat_oficinas = createSqlQuery_cat_oficinas();


	
		;

														

$tdatacat_oficinas[".sqlquery"] = $queryData_cat_oficinas;



include_once(getabspath("include/cat_oficinas_events.php"));
$tableEvents["cat_oficinas"] = new eventclass_cat_oficinas;
$tdatacat_oficinas[".hasEvents"] = true;

?>